searchData={"items":[{"type":"module","title":"ExAws.Bedrock","doc":"Interface to AWS Bedrock.\n\nAmazon Bedrock is a fully managed service that offers a choice of\nhigh-performing foundation models (FMs) from leading AI companies.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/welcome.html)","ref":"ExAws.Bedrock.html"},{"type":"function","title":"ExAws.Bedrock.get_custom_model/1","doc":"Get the properties associated with a Amazon Bedrock custom model that you have created.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/API_GetCustomModel.html)","ref":"ExAws.Bedrock.html#get_custom_model/1"},{"type":"function","title":"ExAws.Bedrock.get_foundation_model/1","doc":"Get details about a Amazon Bedrock foundation model.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/API_GetFoundationModel.html)","ref":"ExAws.Bedrock.html#get_foundation_model/1"},{"type":"function","title":"ExAws.Bedrock.invoke_model/2","doc":"Invokes the specified Amazon Bedrock model to run inference using the input provided in the request body.\n\nYou use InvokeModel to run inference for text models, image models, and embedding models.\n\n    input = ExAws.Bedrock.Titan.TextModel.build(\"Hello, LLM.\");\n    request = ExAws.Bedrock.invoke_model(\"amazon.titan-tg1-large\", input);\n    {:ok, %{\"results\" => [%{\"outputText\" => output}|_]}} = ExAws.request(request, service_override: :bedrock);\n    output\n\nNote the extra service override parameter required for correctly signing the request.\nUse `ExAws.Bedrock.request/2` to automatically provide the correct parameter.\n\nModel parameters are normally JSON documents defined in the link below, therefore pass a\nstruct or map that can be serialized with your configured JSON codec.\n\nImages will be returned base 64 encoded:\n\n    {:ok, %{\"images\" => [image]}} = ExAws.request(request, service_override: :bedrock);\n    {:ok, png} = Base.decode64(image)\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/API_runtime_InvokeModel.html)\n\n[Model Parameters](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters.html)","ref":"ExAws.Bedrock.html#invoke_model/2"},{"type":"function","title":"ExAws.Bedrock.list_foundation_models/1","doc":"List of Amazon Bedrock foundation models that you can use.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/API_ListFoundationModels.html)","ref":"ExAws.Bedrock.html#list_foundation_models/1"},{"type":"function","title":"Parameters - ExAws.Bedrock.list_foundation_models/1","doc":"* `:by_customization_type` - `:FINE_TUNING | :CONTINUED_PRE_TRAINING`\n\n  * `:by_inference_type` - `:ON_DEMAND | :PROVISIONED`\n\n  * `:by_output_modality` - `:TEXT | :IMAGE | :EMBEDDING`\n\n  * `:by_provider` - An Amazon Bedrock model provider","ref":"ExAws.Bedrock.html#list_foundation_models/1-parameters"},{"type":"function","title":"ExAws.Bedrock.request/2","doc":"","ref":"ExAws.Bedrock.html#request/2"},{"type":"function","title":"ExAws.Bedrock.request!/2","doc":"","ref":"ExAws.Bedrock.html#request!/2"},{"type":"module","title":"ExAws.Bedrock.Request","doc":"Perform AWS requests signed with the correct service.\n\nActions on Amazon Bedrock Runtime need to be signed with Bedrock.","ref":"ExAws.Bedrock.Request.html"},{"type":"function","title":"ExAws.Bedrock.Request.request/2","doc":"Perform an AWS request with correct service.\n\nSee `ExAws.request/2`.","ref":"ExAws.Bedrock.Request.html#request/2"},{"type":"function","title":"ExAws.Bedrock.Request.request!/2","doc":"Perform an AWS request with correct service, raise if it fails.\n\nSee `ExAws.request!/2`.","ref":"ExAws.Bedrock.Request.html#request!/2"},{"type":"module","title":"ExAws.Bedrock.Titan.ImageGenerationConfig","doc":"Inference parameters for Amazon Titan image generation models.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters-titan-image.html)","ref":"ExAws.Bedrock.Titan.ImageGenerationConfig.html"},{"type":"type","title":"ExAws.Bedrock.Titan.ImageGenerationConfig.quality/0","doc":"","ref":"ExAws.Bedrock.Titan.ImageGenerationConfig.html#t:quality/0"},{"type":"type","title":"ExAws.Bedrock.Titan.ImageGenerationConfig.t/0","doc":"","ref":"ExAws.Bedrock.Titan.ImageGenerationConfig.html#t:t/0"},{"type":"module","title":"ExAws.Bedrock.Titan.ImageModel","doc":"Inference parameters for Amazon Titan image generation models.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters-titan-image.html)","ref":"ExAws.Bedrock.Titan.ImageModel.html"},{"type":"module","title":"ExAws.Bedrock.Titan.TextGenerationConfig","doc":"Inference parameters for Amazon Titan text models.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters-titan-text.html)","ref":"ExAws.Bedrock.Titan.TextGenerationConfig.html"},{"type":"function","title":"ExAws.Bedrock.Titan.TextGenerationConfig.build/1","doc":"Build struct from Elixir style keyword list.\n\nParameters:\n* max_token_count\n* stop_sequences\n* temperature\n* top_p","ref":"ExAws.Bedrock.Titan.TextGenerationConfig.html#build/1"},{"type":"module","title":"ExAws.Bedrock.Titan.TextModel","doc":"Inference parameters for Amazon Titan text models.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters-titan-text.html)","ref":"ExAws.Bedrock.Titan.TextModel.html"},{"type":"function","title":"ExAws.Bedrock.Titan.TextModel.build/2","doc":"Build struct with input and parameters.\n\nSee `ExAws.Bedrock.Titan.TextGenerationConfig.build/1`","ref":"ExAws.Bedrock.Titan.TextModel.html#build/2"},{"type":"module","title":"ExAws.Bedrock.Titan.TextToImageParams","doc":"Text to image generation.\n\n* text (Required) – A text prompt to generate the image.\n* negativeText (Optional) – A text prompt to define what not to include in the image.","ref":"ExAws.Bedrock.Titan.TextToImageParams.html"},{"type":"type","title":"ExAws.Bedrock.Titan.TextToImageParams.t/0","doc":"","ref":"ExAws.Bedrock.Titan.TextToImageParams.html#t:t/0"}],"content_type":"text/markdown"}